classification
Title: --fromfile does not work for regrtest
Type: enhancement Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: --fromfile, --match, and --randomize don't work in regrtest
View: 15324
Assigned To: Nosy List: chris.jerdonek, ezio.melotti
Priority: normal Keywords: easy

Created on 2012-07-11 10:05 by chris.jerdonek, last changed 2012-12-27 21:47 by chris.jerdonek. This issue is now closed.

Messages (1)
msg165243 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-11 10:05
The long form of the -f/--fromfile option does not work.  It does not read its required argument.  For example (observe that the second invocation raises no error)--

$ ./python.exe -m test -f
option -f requires argument
Use --help for usage
$ ./python.exe -m test --fromfile
== CPython 3.3.0b1 (default:5d43154d68a8, Jul 8 2012, 13:54:45) [GCC 4.2.1 Compatible Apple Clang 3.1 (tags/Apple/clang-318.0.58)]

Note that issue 15302 will fix this.
History
Date User Action Args
2012-12-27 21:47:53chris.jerdoneksetstatus: open -> closed
superseder: Use argparse instead of getopt in test.regrtest -> --fromfile, --match, and --randomize don't work in regrtest
resolution: duplicate
stage: patch review -> resolved
2012-07-13 19:29:02ezio.melottisetversions: + Python 3.4, - Python 3.3
nosy: + ezio.melotti

superseder: Use argparse instead of getopt in test.regrtest
type: enhancement
stage: patch review
2012-07-11 10:05:31chris.jerdonekcreate